Low-level Serialization Structures.

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Data Structures | Typedefs | Functions
Low-level Serialization Structures.
Eet

Functions that create, destroy and manipulate serialization nodes used by Eet Data Serialization. More...

## Data Structures
struct | _Eet_Node_Data
| Contains an union that can fit any kind of node. More...

## Typedefs
typedef struct _Eet_Node | Eet_Node
| Opaque handle to manage serialization node.
typedef struct _Eet_Node_Data | Eet_Node_Data
| Contains an union that can fit any kind of node.

## Functions
EAPI Eet_Node * | eet_node_char_new (const char *name, char c)
| Create a new character node. More...
EAPI Eet_Node * | eet_node_short_new (const char *name, short s)
| Create a new short node. More...
EAPI Eet_Node * | eet_node_int_new (const char *name, int i)
| Create a new integer node. More...
EAPI Eet_Node * | eet_node_long_long_new (const char *name, long long l)
| Create a new long long integer node. More...
EAPI Eet_Node * | eet_node_float_new (const char *name, float f)
| Create a new float node. More...
EAPI Eet_Node * | eet_node_double_new (const char *name, double d)
| Create a new double node. More...
EAPI Eet_Node * | eet_node_unsigned_char_new (const char *name, unsigned char uc)
| Create a new unsigned character node. More...
EAPI Eet_Node * | eet_node_unsigned_short_new (const char *name, unsigned short us)
| Create a new unsigned short node. More...
EAPI Eet_Node * | eet_node_unsigned_int_new (const char *name, unsigned int ui)
| Create a new unsigned integer node. More...
EAPI Eet_Node * | eet_node_unsigned_long_long_new (const char *name, unsigned long long l)
| Create a new unsigned long long integer node. More...
EAPI Eet_Node * | eet_node_string_new (const char *name, const char *str)
| Create a new string node. More...
EAPI Eet_Node * | eet_node_inlined_string_new (const char *name, const char *str)
| Create a new inlined string node. More...
EAPI Eet_Node * | eet_node_null_new (const char *name)
| Create a new empty node. More...
EAPI Eet_Node * | eet_node_list_new (const char *name, Eina_List *nodes)
| Create a new list node. More...
EAPI Eet_Node * | eet_node_array_new (const char *name, int count, Eina_List *nodes)
| Create a new array node. More...
EAPI Eet_Node * | eet_node_var_array_new (const char *name, Eina_List *nodes)
| Create a new variable array node. More...
EAPI Eet_Node * | eet_node_hash_new (const char *name, const char *key, Eet_Node *node)
| TODO FIX ME. More...
EAPI Eet_Node * | eet_node_struct_new (const char *name, Eina_List *nodes)
| Create a new struct node. More...
EAPI Eet_Node * | eet_node_struct_child_new (const char *parent, Eet_Node *child)
| TODO FIX ME. More...
EAPI void | eet_node_list_append (Eet_Node *parent, const char *name, Eet_Node *child)
| Append a "list" node TODO FIX ME.
EAPI void | eet_node_struct_append (Eet_Node *parent, const char *name, Eet_Node *child)
| TODO FIX ME.
EAPI void | eet_node_hash_add (Eet_Node *parent, const char *name, const char *key, Eet_Node *child)
| TODO FIX ME.
EAPI void | eet_node_dump (Eet_Node *n, int dumplevel, Eet_Dump_Callback dumpfunc, void *dumpdata)
| TODO FIX ME.
EAPI void | eet_node_del (Eet_Node *n)
| TODO FIX ME.
EAPI void * | eet_data_node_encode_cipher (Eet_Node *node, const char *cipher_key, int *size_ret)
| TODO FIX ME.
EAPI Eet_Node * | eet_data_node_decode_cipher (const void *data_in, const char *cipher_key, int size_in)
| TODO FIX ME.
EAPI Eet_Node * | eet_data_node_read_cipher (Eet_File *ef, const char *name, const char *cipher_key)
| TODO FIX ME.
EAPI int | eet_data_node_write_cipher (Eet_File *ef, const char *name, const char *cipher_key, Eet_Node *node, int compress)
| TODO FIX ME.

## Detailed Description

Functions that create, destroy and manipulate serialization nodes used by Eet Data Serialization.

## Function Documentation

EAPI Eet_Node* eet_node_char_new | ( | const char * | name,
|  | char | c
| ) |  |

Create a new character node.

Parameters

  name | Name of the node.
  c | Character value.

Returns
  A new character node.

EAPI Eet_Node* eet_node_short_new | ( | const char * | name,
|  | short | s
| ) |  |

Create a new short node.

Parameters

  name | Name of the node.
  s | short value.

Returns
  A new short node.

EAPI Eet_Node* eet_node_int_new | ( | const char * | name,
|  | int | i
| ) |  |

Create a new integer node.

Parameters

  name | Name of the node.
  i | integer value.

Returns
  A new integer node.

EAPI Eet_Node* eet_node_long_long_new | ( | const char * | name,
|  | long long | l
| ) |  |

Create a new long long integer node.

Parameters

  name | Name of the node.
  l | long long integer value.

Returns
  A new long long integer node.

EAPI Eet_Node* eet_node_float_new | ( | const char * | name,
|  | float | f
| ) |  |

Create a new float node.

Parameters

  name | Name of the node.
  f | float value.

Returns
  A new float node.

EAPI Eet_Node* eet_node_double_new | ( | const char * | name,
|  | double | d
| ) |  |

Create a new double node.

Parameters

  name | Name of the node.
  d | double value.

Returns
  A new double node.

EAPI Eet_Node* eet_node_unsigned_char_new | ( | const char * | name,
|  | unsigned char | uc
| ) |  |

Create a new unsigned character node.

Parameters

  name | Name of the node.
  uc | unsigned char value.

Returns
  A new unsigned char node.

EAPI Eet_Node* eet_node_unsigned_short_new | ( | const char * | name,
|  | unsigned short | us
| ) |  |

Create a new unsigned short node.

Parameters

  name | Name of the node.
  us | unsigned short value.

Returns
  A new unsigned short node.

EAPI Eet_Node* eet_node_unsigned_int_new | ( | const char * | name,
|  | unsigned int | ui
| ) |  |

Create a new unsigned integer node.

Parameters

  name | Name of the node.
  ui | unsigned integer value.

Returns
  A new unsigned integer node.

EAPI Eet_Node* eet_node_unsigned_long_long_new | ( | const char * | name,
|  | unsigned long long | l
| ) |  |

Create a new unsigned long long integer node.

Parameters

  name | Name of the node.
  l | unsigned long long integer value.

Returns
  A new unsigned long long integer node.

EAPI Eet_Node* eet_node_string_new | ( | const char * | name,
|  | const char * | str
| ) |  |

Create a new string node.

Parameters

  name | Name of the node.
  str | string value.

Returns
  A new string node.

EAPI Eet_Node* eet_node_inlined_string_new | ( | const char * | name,
|  | const char * | str
| ) |  |

Create a new inlined string node.

Parameters

  name | Name of the node.
  str | string value.

Returns
  A new inlined string node.

EAPI Eet_Node* eet_node_null_new | ( | const char * | name | ) |

Create a new empty node.

Parameters

  name | Name of the node.

Returns
  A new empty node.

References EET_T_NULL.

EAPI Eet_Node* eet_node_list_new | ( | const char * | name,
|  | Eina_List * | nodes
| ) |  |

Create a new list node.

Parameters

  name | Name of the node.
  nodes | list of nodes.

Returns
  A new list node.

References EET_G_LIST.

Referenced by eet_node_list_append().

EAPI Eet_Node* eet_node_array_new | ( | const char * | name,
|  | int | count,
|  | Eina_List * | nodes
| ) |  |

Create a new array node.

Parameters

  name | Name of the node.
  count | number of nodes
  nodes | list of nodes.

Returns
  A new array node.

References EET_G_ARRAY.

EAPI Eet_Node* eet_node_var_array_new | ( | const char * | name,
|  | Eina_List * | nodes
| ) |  |

Create a new variable array node.

Parameters

  name | Name of the node.
  nodes | list of nodes.

Returns
  A new variable array node.

References EET_G_VAR_ARRAY, and eina_list_count().

EAPI Eet_Node* eet_node_hash_new | ( | const char * | name,
|  | const char * | key,
|  | Eet_Node * | node
| ) |  |

TODO FIX ME.

Create a new short node.

Parameters

  name | Name of the node.
  s | short value.

Returns
  A new short node.

References EET_G_HASH, eina_list_append(), and eina_stringshare_add().

Referenced by eet_node_hash_add().

EAPI Eet_Node* eet_node_struct_new | ( | const char * | name,
|  | Eina_List * | nodes
| ) |  |

Create a new struct node.

Parameters

  name | Name of the node.
  nodes | list of nodes.

Returns
  A new struct node.

References EET_G_UNKNOWN.

EAPI Eet_Node* eet_node_struct_child_new | ( | const char * | parent,
|  | Eet_Node * | child
| ) |  |

TODO FIX ME.

Create a new short node.

Parameters

  name | Name of the node.
  s | short value.

Returns
  A new short node.

References EET_G_UNKNOWN, and eina_list_prepend().